import react, { ReactNode } from 'react';
import './Link.scss'
import { FaExternalLinkAlt } from 'react-icons/fa';

type LinkProps = {
    children: ReactNode,
    url: string
}

function Link({ children, url }: LinkProps) {
    return (
        <a className="link" href={url} target='_blank'>
            { children }
            <i><FaExternalLinkAlt/></i>
        </a>
    )
}

export default Link