import SocialLink from './social_link/SocialLink'
import SocialLinks from './social_link/SocialLinks'
import './TopComponent.scss'
import { FaEnvelope, FaGithub, FaLinkedin } from 'react-icons/fa'

function TopComponent() {
    return (
        <div id="top">
            <div className='top__image'>
                <img src="https://devemyhg.lycee-darchicourt.net/wp-content/uploads/2018/01/No-picture.png" alt="Ma photo" />
            </div>
            <div className='top__presentation'>
                <h1>Florian RICHER</h1>
                <h4>Développeur d´application Web et Mobile</h4>
                <p>
                    Découvrez mon parcours en développement, où ma passion précoce pour la programmation a débuté avec la
                    création d'applications 3D utilisant OpenGL et s'est étendue à la maîtrise de diverses technologies,
                    notamment le développement Web avec React, Ruby on Rails, Symfony, Tailwindcss et Bootstrap, la réalisation
                    d'applications mobiles avec Flutter et le développement système en Rust, toujours animé par mon désir
                    inépuisable d'apprendre et ma curiosité sans bornes.
                </p>
                <SocialLinks>
                <SocialLink
                        icon={<FaGithub />}
                        name="Github"
                        url="https://github.com/mrdev023"
                    />
                    <SocialLink
                        icon={<FaLinkedin />}
                        name="Linkedin"
                        url="https://www.linkedin.com/in/florian-richer-80960b129/"
                    />
                    <SocialLink
                        icon={<FaEnvelope />}
                        name="Mail"
                        url="mailto:florian.richer@protonmail.com"
                    />
                </SocialLinks>
            </div>
        </div>
    )
}
export default TopComponent